org.apache.sysds.runtime.matrix.operators

## Class CMOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.CMOperator

All Implemented Interfaces:
  Serializable

    public class CMOperator
    extends Operator

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CMOperator.AggregateOperationTypes`

### Field Summary

Fields
`CMOperator.AggregateOperationTypes` `aggOpType`
`ValueFunction` `fn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
Constructor and Description
`CMOperator(ValueFunction op, CMOperator.AggregateOperationTypes agg)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CMOperator.AggregateOperationTypes` `getAggOpType()`
`static CMOperator.AggregateOperationTypes` `getAggOpType(String fn, String order)`
`static CMOperator.AggregateOperationTypes` `getCMAggOpType(int order)`
`boolean` `isPartialAggregateOperator()`
`CMOperator` `setCMAggOp(int order)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fn

    public ValueFunction fn

#### aggOpType

    public CMOperator.AggregateOperationTypes aggOpType

### Constructor Detail

#### CMOperator

    public CMOperator(ValueFunction op,
                      CMOperator.AggregateOperationTypes agg)

### Method Detail

#### getAggOpType

    public CMOperator.AggregateOperationTypes getAggOpType()

#### setCMAggOp

    public CMOperator setCMAggOp(int order)

#### getCMAggOpType

    public static CMOperator.AggregateOperationTypes getCMAggOpType(int order)

#### getAggOpType

    public static CMOperator.AggregateOperationTypes getAggOpType(String fn,
                                                                  String order)

#### isPartialAggregateOperator

    public boolean isPartialAggregateOperator()